#
# Conditional build:
%bcond_with	tests	# perform "make test" (requires X server)
#
%define		pnam	Gtk2-GladeXML
Summary:	Mechanisms for instantiating and utilization of user interfaces created with Glade-2
Summary(pl.UTF-8):	Mechanizmy pozwalające na wykorzystywanie interfejsów stworzonych za pomocą Glade-2
Name:		perl-Gtk2-GladeXML
Version:	1.008
Release:	5
License:	LGPL
Group:		Development/Languages/Perl
Source0:	https://downloads.sourceforge.net/gtk2-perl/%{pnam}-%{version}.tar.gz
# Source0-md5:	e4eba9d654198eb5bc4da7418d93d30a
URL:		http://gtk2-perl.sourceforge.net/
BuildRequires:	libglade2-devel >= 1:2.6.0
BuildRequires:	perl-ExtUtils-Depends >= 0.300
BuildRequires:	perl-ExtUtils-PkgConfig >= 1.000
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-Glib-devel >= 1.140
BuildRequires:	perl-Gtk2-devel >= 1.140
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
Requires:	libglade2 >= 1:2.6.0
Requires:	perl-Glib >= 1.140
Requires:	perl-Gtk2 >= 1.140
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
After designing an application with Glade-2 the layout and
configuration is saved in a XML formatted file. libglade is a library
to load and use files of this particular XML format at application run
time. This module is a set of mappings of libglade.

Note: this module is deprecated and no longer maintained.

%description -l pl.UTF-8
Po zaprojektowaniu aplikacji korzystającej z Glade-2 jej wygląd i
konfiguracja są zapamiętywane w postaci plików w formacie XML.
libglade jest biblioteką służącą do odczytu i korzystania z tego
specyficznego formatu XML w czasie działania aplikacji. Ten moduł
stanowi zbiór odwzorowań biblioteki libglade.

Uwaga: ten moduł jest przestarzały i nie jest już utrzymywany.

%package devel
Summary:	Development files for Perl Gtk2-GladeXML bindings
Summary(pl.UTF-8):	Pliki programistyczne wiązań Gtk2-GladeXML dla Perla
Group:		Development/Languages/Perl
Requires:	%{name} = %{version}-%{release}
Requires:	libglade2-devel >= 1:2.6.0
Requires:	perl-Cairo-devel
Requires:	perl-Glib-devel >= 1.120
Requires:	perl-Gtk2-devel >= 1.121

%description devel
Development files for Perl Gtk2-GladeXML bindings.

%description devel -l pl.UTF-8
Pliki programistyczne wiązań Gtk2-GladeXML dla Perla.

%prep
%setup -q -n %{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README ChangeLog
%{perl_vendorarch}/Gtk2/GladeXML.pm
%dir %{perl_vendorarch}/Gtk2/GladeXML
%dir %{perl_vendorarch}/auto/Gtk2/GladeXML
%attr(755,root,root) %{perl_vendorarch}/auto/Gtk2/GladeXML/GladeXML.so
%{_mandir}/man3/Gtk2::GladeXML*.3pm*

%files devel
%defattr(644,root,root,755)
%{perl_vendorarch}/Gtk2/GladeXML/Install
%changelog
* Sun Jun 30 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Gtk2-GladeXML.git;a=log;h=master

* Sun Jun 30 2024 Jan Palus <atler@pld-linux.org> ff23082
- perl 5.40.0 rebuild

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> dafdc95
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 20da6f6
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 567e21e
- rebuild with perl 5.34.0

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> bbc7c58
- copy-pasto

* Sat Jun 19 2021 Jakub Bogusz <qboosh@pld-linux.org> 4c3f27e
- updated to 1.008, deprecated now
- separated -devel package

* Sun May 09 2021 Jan Rękorajski <baggins@pld-linux.org> e022676
- rebuild with perl 5.32

* Fri Apr 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 28882ff
- updated macros

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 4de36df
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Dec 05 2019 Jan Rękorajski <baggins@pld-linux.org> 3d11ed3
- rebuild with perl 5.30.0
- release 13 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> 64799d7
- release 12 (by relup.sh)

* Sun Sep 02 2018 Jan Rękorajski <baggins@pld-linux.org> dd27de1
- fix BR

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 103fcc6
- perl req/prov fix
- release 11 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 8d164dc
- rebuild with perl 5.26
- release 10 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 456d05b
- rebuild with perl 5.24.0
- release 9 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> f091fd3
- release 8 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 1b19a3c
- release 7 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> 9639658
- x32 rebuild
- release 6 (by relup.sh)

* Mon Sep 15 2014 Jan Rękorajski <baggins@pld-linux.org> 597a6a5
- release 5 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> b625b85
- removed zero-sized .bs file

